#include "pathRecording.h"

namespace germanairlinesva_recording
{
  void PathRecording::addSegment(PathSegment segment)
  {
    file.resize(file.size() + segment.getBinaryLength());
    std::uint8_t *bufPtr = 6 + file.data() + count * segment.getBinaryLength();
    memcpy(bufPtr, segment.getBinaryData(), segment.getBinaryLength());
    count++;
  }
} // namespace germanairlinesva_recording